diff --git a/src/main/java/net/minecraft/core/world/PortalHandler.java b/src/main/java/net/minecraft/core/world/PortalHandler.java
index b15826afa..1b010846e 100644
--- a/src/main/java/net/minecraft/core/world/PortalHandler.java
+++ b/src/main/java/net/minecraft/core/world/PortalHandler.java
@@ -10,10 +10,6 @@ import org.jetbrains.annotations.Nullable;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            Entity, MathHelper, World, Block, 
-//            BlockPortal, Material
-
 public class PortalHandler
 {
 
diff --git a/src/main/java/net/minecraft/core/world/SpawnerMobs.java b/src/main/java/net/minecraft/core/world/SpawnerMobs.java
index 769400fd3..5921fe9e5 100644
--- a/src/main/java/net/minecraft/core/world/SpawnerMobs.java
+++ b/src/main/java/net/minecraft/core/world/SpawnerMobs.java
@@ -125,7 +125,7 @@ public final class SpawnerMobs
                     }
                 }
 
-                if (!spawnerConfig.canMobSpawn(EntityDispatcher.getEncodeId(spawnListEntry.entityClass))) continue;
+                if (!spawnerConfig.canMobSpawn(EntityDispatcher.idForClass(spawnListEntry.entityClass))) continue;
 
                 final ChunkPosition pos = getRandomSpawningPointInChunk(world, chunk.x, chunk.z);
                 final int x = pos.x;
@@ -254,17 +254,12 @@ public final class SpawnerMobs
                     {
                         spawnY++;
                     }
-					
-					if(spawnY >= y + 16)
-                    {
-						spawnY = y;
-					}
-                    else
-                    {
+
+                    if (spawnY < y + 16) {
 						float entityX = x + 0.5f;
 						float entityY = spawnY;
 						float entityZ = z + 0.5f;
-						
+
 						Mob entity;
                         Class<?> eClass= entityClasses[world.rand.nextInt(entityClasses.length)];
 						try
@@ -276,7 +271,7 @@ public final class SpawnerMobs
                             LOGGER.error("Exception instancing class '{}'!", eClass.getSimpleName(), e);
 							return spawnedEntity;
 						}
-						
+
 						entity.moveTo(entityX, entityY, entityZ, world.rand.nextFloat() * 360.0f, 0.0f);
 						if(entity.canSpawnHere())
                         {
@@ -302,7 +297,7 @@ public final class SpawnerMobs
 							}
 						}
 					}
-					i++;
+                    i++;
 				}
 			}
 		}
diff --git a/src/main/java/net/minecraft/core/world/biome/BiomeCaatinga.java b/src/main/java/net/minecraft/core/world/biome/BiomeCaatinga.java
index 192ffe4e4..4477c5b1e 100644
--- a/src/main/java/net/minecraft/core/world/biome/BiomeCaatinga.java
+++ b/src/main/java/net/minecraft/core/world/biome/BiomeCaatinga.java
@@ -4,17 +4,12 @@
 
 package net.minecraft.core.world.biome;
 
-import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.generate.feature.tree.*;
 import net.minecraft.core.world.generate.feature.WorldFeature;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            BiomeGenBase, SpawnListEntry, MobWolf, WorldGenForest,
-//            WorldGenBigTree, WorldGenTrees, WorldGenerator
-
 public class BiomeCaatinga extends Biome
 {
 
diff --git a/src/main/java/net/minecraft/core/world/biome/BiomeParadise.java b/src/main/java/net/minecraft/core/world/biome/BiomeParadise.java
index 3a61fadb6..2a21492b6 100644
--- a/src/main/java/net/minecraft/core/world/biome/BiomeParadise.java
+++ b/src/main/java/net/minecraft/core/world/biome/BiomeParadise.java
@@ -3,9 +3,6 @@ package net.minecraft.core.world.biome;
 import net.minecraft.core.entity.animal.MobChicken;
 import net.minecraft.core.entity.SpawnListEntry;
 
-// Referenced classes of package net.minecraft.src:
-//            BiomeGenBase, SpawnListEntry, MobChicken
-
 public class BiomeParadise extends Biome
 {	
     public BiomeParadise(String key)
diff --git a/src/main/java/net/minecraft/core/world/biome/BiomePlains.java b/src/main/java/net/minecraft/core/world/biome/BiomePlains.java
index 05e075616..d7e32c07b 100644
--- a/src/main/java/net/minecraft/core/world/biome/BiomePlains.java
+++ b/src/main/java/net/minecraft/core/world/biome/BiomePlains.java
@@ -1,6 +1,5 @@
 package net.minecraft.core.world.biome;
 
-import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.generate.feature.WorldFeature;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTreeEucalyptus;
diff --git a/src/main/java/net/minecraft/core/world/biome/BiomeSeasonalForest.java b/src/main/java/net/minecraft/core/world/biome/BiomeSeasonalForest.java
index e9ce674b5..949724290 100644
--- a/src/main/java/net/minecraft/core/world/biome/BiomeSeasonalForest.java
+++ b/src/main/java/net/minecraft/core/world/biome/BiomeSeasonalForest.java
@@ -10,10 +10,6 @@ import net.minecraft.core.world.generate.feature.WorldFeature;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            BiomeGenBase, SpawnListEntry, MobWolf, WorldGenForest,
-//            WorldGenBigTree, WorldGenTrees, WorldGenerator
-
 public class BiomeSeasonalForest extends Biome
 {
 
diff --git a/src/main/java/net/minecraft/core/world/biome/BiomeShrubland.java b/src/main/java/net/minecraft/core/world/biome/BiomeShrubland.java
index 33041f2a1..481087ab9 100644
--- a/src/main/java/net/minecraft/core/world/biome/BiomeShrubland.java
+++ b/src/main/java/net/minecraft/core/world/biome/BiomeShrubland.java
@@ -1,6 +1,5 @@
 package net.minecraft.core.world.biome;
 
-import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTreeShrub;
 import net.minecraft.core.world.generate.feature.WorldFeature;
diff --git a/src/main/java/net/minecraft/core/world/biome/BiomeSwamp.java b/src/main/java/net/minecraft/core/world/biome/BiomeSwamp.java
index 3d11de867..23841fec0 100644
--- a/src/main/java/net/minecraft/core/world/biome/BiomeSwamp.java
+++ b/src/main/java/net/minecraft/core/world/biome/BiomeSwamp.java
@@ -1,6 +1,5 @@
 package net.minecraft.core.world.biome;
 
-import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTreeShapeSwamp;
 import net.minecraft.core.world.generate.feature.WorldFeature;
diff --git a/src/main/java/net/minecraft/core/world/biome/BiomeTaiga.java b/src/main/java/net/minecraft/core/world/biome/BiomeTaiga.java
index f40813bd3..373eae536 100644
--- a/src/main/java/net/minecraft/core/world/biome/BiomeTaiga.java
+++ b/src/main/java/net/minecraft/core/world/biome/BiomeTaiga.java
@@ -9,10 +9,6 @@ import net.minecraft.core.world.generate.feature.WorldFeature;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            BiomeGenBase, SpawnListEntry, MobWolf, WorldGenTaiga1,
-//            WorldGenTaiga2, WorldGenerator
-
 public class BiomeTaiga extends Biome
 {
 
diff --git a/src/main/java/net/minecraft/core/world/biome/data/BiomeRangeLookup.java b/src/main/java/net/minecraft/core/world/biome/data/BiomeRangeLookup.java
index 46e3ac2b2..1a174ecce 100644
--- a/src/main/java/net/minecraft/core/world/biome/data/BiomeRangeLookup.java
+++ b/src/main/java/net/minecraft/core/world/biome/data/BiomeRangeLookup.java
@@ -2,7 +2,6 @@ package net.minecraft.core.world.biome.data;
 
 import net.minecraft.core.data.registry.Registries;
 import net.minecraft.core.world.biome.Biome;
-import org.lwjgl.Sys;
 
 public class BiomeRangeLookup
 {
diff --git a/src/main/java/net/minecraft/core/world/biome/provider/BiomeProviderOverworld.java b/src/main/java/net/minecraft/core/world/biome/provider/BiomeProviderOverworld.java
index 9985583b3..8f2b1b55a 100644
--- a/src/main/java/net/minecraft/core/world/biome/provider/BiomeProviderOverworld.java
+++ b/src/main/java/net/minecraft/core/world/biome/provider/BiomeProviderOverworld.java
@@ -1,6 +1,5 @@
 package net.minecraft.core.world.biome.provider;
 
-import net.minecraft.core.Global;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.biome.Biome;
 import net.minecraft.core.world.biome.Biomes;
diff --git a/src/main/java/net/minecraft/core/world/chunk/ChunkSection.java b/src/main/java/net/minecraft/core/world/chunk/ChunkSection.java
index 389403e53..c37d3ff2a 100644
--- a/src/main/java/net/minecraft/core/world/chunk/ChunkSection.java
+++ b/src/main/java/net/minecraft/core/world/chunk/ChunkSection.java
@@ -1,7 +1,6 @@
 package net.minecraft.core.world.chunk;
 
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.Blocks;
 import net.minecraft.core.data.registry.Registries;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.enums.LightLayer;
diff --git a/src/main/java/net/minecraft/core/world/chunk/EmptyChunk.java b/src/main/java/net/minecraft/core/world/chunk/EmptyChunk.java
index cc171872e..1cbad469f 100644
--- a/src/main/java/net/minecraft/core/world/chunk/EmptyChunk.java
+++ b/src/main/java/net/minecraft/core/world/chunk/EmptyChunk.java
@@ -10,10 +10,6 @@ import java.util.Arrays;
 import java.util.List;
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            Chunk, World, EnumSkyBlock, Entity, 
-//            TileEntity, AxisAlignedBB
-
 public class EmptyChunk extends Chunk
 {
 
diff --git a/src/main/java/net/minecraft/core/world/chunk/IChunkLoader.java b/src/main/java/net/minecraft/core/world/chunk/IChunkLoader.java
index 8c258a408..ba2d08b41 100644
--- a/src/main/java/net/minecraft/core/world/chunk/IChunkLoader.java
+++ b/src/main/java/net/minecraft/core/world/chunk/IChunkLoader.java
@@ -1,13 +1,9 @@
 package net.minecraft.core.world.chunk;
 
 import net.minecraft.core.world.World;
-import net.minecraft.core.world.chunk.Chunk;
 
 import java.io.IOException;
 
-// Referenced classes of package net.minecraft.src:
-//            World, Chunk
-
 public interface IChunkLoader
 {
     /**
diff --git a/src/main/java/net/minecraft/core/world/chunk/LightUpdate.java b/src/main/java/net/minecraft/core/world/chunk/LightUpdate.java
index 771747964..c60aea73e 100644
--- a/src/main/java/net/minecraft/core/world/chunk/LightUpdate.java
+++ b/src/main/java/net/minecraft/core/world/chunk/LightUpdate.java
@@ -1,8 +1,5 @@
 package net.minecraft.core.world.chunk;
 
-// Referenced classes of package net.minecraft.src:
-//            World, Chunk, Block, EnumSkyBlock
-
 import com.mojang.logging.LogUtils;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.enums.LightLayer;
diff --git a/src/main/java/net/minecraft/core/world/chunk/MissingBlockFixer.java b/src/main/java/net/minecraft/core/world/chunk/MissingBlockFixer.java
index ec93f9182..51f828601 100644
--- a/src/main/java/net/minecraft/core/world/chunk/MissingBlockFixer.java
+++ b/src/main/java/net/minecraft/core/world/chunk/MissingBlockFixer.java
@@ -1,9 +1,5 @@
 package net.minecraft.core.world.chunk;
 
-
-// Referenced classes of package net.minecraft.src:
-//            Block
-
 import com.mojang.logging.LogUtils;
 import net.minecraft.core.block.Block;
 import org.slf4j.Logger;
diff --git a/src/main/java/net/minecraft/core/world/chunk/provider/IChunkProvider.java b/src/main/java/net/minecraft/core/world/chunk/provider/IChunkProvider.java
index 6f50be6fc..cc48170c7 100644
--- a/src/main/java/net/minecraft/core/world/chunk/provider/IChunkProvider.java
+++ b/src/main/java/net/minecraft/core/world/chunk/provider/IChunkProvider.java
@@ -1,9 +1,5 @@
 package net.minecraft.core.world.chunk.provider;
 
-
-// Referenced classes of package net.minecraft.src:
-//            Chunk, IProgressUpdate
-
 import net.minecraft.core.world.ProgressListener;
 import net.minecraft.core.world.chunk.Chunk;
 
diff --git a/src/main/java/net/minecraft/core/world/config/spawning/SpawnerConfig.java b/src/main/java/net/minecraft/core/world/config/spawning/SpawnerConfig.java
index 3f8e56fb6..ed62446aa 100644
--- a/src/main/java/net/minecraft/core/world/config/spawning/SpawnerConfig.java
+++ b/src/main/java/net/minecraft/core/world/config/spawning/SpawnerConfig.java
@@ -1,9 +1,13 @@
 package net.minecraft.core.world.config.spawning;
 
+import com.mojang.logging.LogUtils;
 import com.mojang.nbt.ByteTag;
 import com.mojang.nbt.CompoundTag;
 import com.mojang.nbt.Tag;
+import net.minecraft.core.util.HardIllegalArgumentException;
+import net.minecraft.core.util.collection.NamespaceID;
 import net.minecraft.core.world.World;
+import org.slf4j.Logger;
 
 import java.util.Collection;
 import java.util.HashMap;
@@ -11,9 +15,10 @@ import java.util.Locale;
 import java.util.Map;
 
 public class SpawnerConfig {
+    private static final Logger LOGGER = LogUtils.getLogger();
     private boolean allowPassive = true;
     private boolean allowHostile = true;
-    private final Map<String, Boolean> mobSpawnOverrides = new HashMap<>();
+    private final Map<NamespaceID, Boolean> mobSpawnOverrides = new HashMap<>();
 
     public boolean canPassiveSpawn(World world) {
         return allowPassive;
@@ -31,15 +36,15 @@ public class SpawnerConfig {
         allowHostile = flag;
     }
 
-    public boolean canMobSpawn(String mobID) {
-        return mobSpawnOverrides.getOrDefault(mobID.toLowerCase(Locale.ROOT), true);
+    public boolean canMobSpawn(NamespaceID mobID) {
+        return mobSpawnOverrides.getOrDefault(mobID, true);
     }
 
-    public void setMobSpawn(String mobID, boolean flag) {
-        mobSpawnOverrides.put(mobID.toLowerCase(Locale.ROOT), flag);
+    public void setMobSpawn(NamespaceID mobID, boolean flag) {
+        mobSpawnOverrides.put(mobID, flag);
     }
 
-    public Collection<Map.Entry<String, Boolean>> getSpawnEntries() {
+    public Collection<Map.Entry<NamespaceID, Boolean>> getSpawnEntries() {
         return mobSpawnOverrides.entrySet();
     }
 
@@ -47,8 +52,8 @@ public class SpawnerConfig {
         tag.putBoolean("passive", allowPassive);
         tag.putBoolean("hostile", allowHostile);
         CompoundTag overridesTag = new CompoundTag();
-        for (Map.Entry<String, Boolean> e : mobSpawnOverrides.entrySet()) {
-            overridesTag.putBoolean(e.getKey(), e.getValue());
+        for (Map.Entry<NamespaceID, Boolean> e : mobSpawnOverrides.entrySet()) {
+            overridesTag.putBoolean(e.getKey().toString(), e.getValue());
         }
         tag.putCompound("overrides", overridesTag);
     }
@@ -58,7 +63,11 @@ public class SpawnerConfig {
         allowHostile = tag.getBoolean("hostile");
         CompoundTag overrides = tag.getCompound("overrides");
         for (Map.Entry<String, Tag<?>> tagEntry : overrides.getValue().entrySet()) {
-            mobSpawnOverrides.put(tagEntry.getKey(), ((ByteTag)tagEntry.getValue()).getValue() != 0);
+            try {
+                mobSpawnOverrides.put(new NamespaceID(tagEntry.getKey()), ((ByteTag)tagEntry.getValue()).getValue() != 0);
+            } catch (HardIllegalArgumentException e) {
+                LOGGER.error("Failed to convert string '{}' to namespace id!", tagEntry.getKey(), e);
+            }
         }
     }
 
diff --git a/src/main/java/net/minecraft/core/world/generate/CavesLargeFeature.java b/src/main/java/net/minecraft/core/world/generate/CavesLargeFeature.java
index 697fe5fe3..4b08708c8 100644
--- a/src/main/java/net/minecraft/core/world/generate/CavesLargeFeature.java
+++ b/src/main/java/net/minecraft/core/world/generate/CavesLargeFeature.java
@@ -12,10 +12,6 @@ import net.minecraft.core.world.generate.chunk.ChunkGeneratorResult;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            MapGenBase, MathHelper, Block, GrassBlock,
-//            World
-
 public class CavesLargeFeature extends LargeFeature {
     private final int minY;
     private final int maxY;
diff --git a/src/main/java/net/minecraft/core/world/generate/LargeFeature.java b/src/main/java/net/minecraft/core/world/generate/LargeFeature.java
index 82ca00f02..f45790a17 100644
--- a/src/main/java/net/minecraft/core/world/generate/LargeFeature.java
+++ b/src/main/java/net/minecraft/core/world/generate/LargeFeature.java
@@ -5,9 +5,6 @@ import net.minecraft.core.world.generate.chunk.ChunkGeneratorResult;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            World, IChunkProvider
-
 public class LargeFeature
 {
 
diff --git a/src/main/java/net/minecraft/core/world/generate/WarrensCavesLargeFeature.java b/src/main/java/net/minecraft/core/world/generate/WarrensCavesLargeFeature.java
index 5fb6aa9c6..81e74694c 100644
--- a/src/main/java/net/minecraft/core/world/generate/WarrensCavesLargeFeature.java
+++ b/src/main/java/net/minecraft/core/world/generate/WarrensCavesLargeFeature.java
@@ -5,17 +5,12 @@ import net.minecraft.core.block.Blocks;
 import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.World;
-import net.minecraft.core.world.biome.Biome;
 import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.chunk.ChunkSection;
 import net.minecraft.core.world.generate.chunk.ChunkGeneratorResult;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            MapGenBase, MathHelper, Block, GrassBlock,
-//            World
-
 public class WarrensCavesLargeFeature extends LargeFeature {
     private final int minY;
     private final int maxY;
diff --git a/src/main/java/net/minecraft/core/world/generate/chunk/ChunkDecorator.java b/src/main/java/net/minecraft/core/world/generate/chunk/ChunkDecorator.java
index 0c8aeb6cb..28866ff46 100644
--- a/src/main/java/net/minecraft/core/world/generate/chunk/ChunkDecorator.java
+++ b/src/main/java/net/minecraft/core/world/generate/chunk/ChunkDecorator.java
@@ -1,6 +1,5 @@
 package net.minecraft.core.world.generate.chunk;
 
-import net.minecraft.core.world.World;
 import net.minecraft.core.world.chunk.Chunk;
 
 public interface ChunkDecorator
diff --git a/src/main/java/net/minecraft/core/world/generate/chunk/ChunkGenerator.java b/src/main/java/net/minecraft/core/world/generate/chunk/ChunkGenerator.java
index 0ae912068..445f15767 100644
--- a/src/main/java/net/minecraft/core/world/generate/chunk/ChunkGenerator.java
+++ b/src/main/java/net/minecraft/core/world/generate/chunk/ChunkGenerator.java
@@ -5,8 +5,6 @@ import net.minecraft.core.world.World;
 import net.minecraft.core.world.biome.Biome;
 import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.chunk.ChunkSection;
-import net.minecraft.core.world.data.ChunkNibbleArray;
-import net.minecraft.core.world.data.ChunkUnsignedByteArray;
 import net.minecraft.core.world.generate.feature.WorldFeature;
 
 import static net.minecraft.core.world.chunk.Chunk.CHUNK_SIZE_X;
diff --git a/src/main/java/net/minecraft/core/world/generate/chunk/ChunkGeneratorResult.java b/src/main/java/net/minecraft/core/world/generate/chunk/ChunkGeneratorResult.java
index 0ea90249d..680286b03 100644
--- a/src/main/java/net/minecraft/core/world/generate/chunk/ChunkGeneratorResult.java
+++ b/src/main/java/net/minecraft/core/world/generate/chunk/ChunkGeneratorResult.java
@@ -1,7 +1,6 @@
 package net.minecraft.core.world.generate.chunk;
 
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.chunk.ChunkSection;
 
diff --git a/src/main/java/net/minecraft/core/world/generate/chunk/debug/ChunkDecoratorDebug.java b/src/main/java/net/minecraft/core/world/generate/chunk/debug/ChunkDecoratorDebug.java
index 55ff1a3b0..87360d25b 100644
--- a/src/main/java/net/minecraft/core/world/generate/chunk/debug/ChunkDecoratorDebug.java
+++ b/src/main/java/net/minecraft/core/world/generate/chunk/debug/ChunkDecoratorDebug.java
@@ -1,7 +1,6 @@
 package net.minecraft.core.world.generate.chunk.debug;
 
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.generate.chunk.ChunkDecorator;
 
diff --git a/src/main/java/net/minecraft/core/world/generate/chunk/debug/ChunkGeneratorDebug.java b/src/main/java/net/minecraft/core/world/generate/chunk/debug/ChunkGeneratorDebug.java
index 1b56ab0f9..bbdb6c6a0 100644
--- a/src/main/java/net/minecraft/core/world/generate/chunk/debug/ChunkGeneratorDebug.java
+++ b/src/main/java/net/minecraft/core/world/generate/chunk/debug/ChunkGeneratorDebug.java
@@ -1,9 +1,7 @@
 package net.minecraft.core.world.generate.chunk.debug;
 
-import net.minecraft.core.Global;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.chunk.Chunk;
-import net.minecraft.core.world.chunk.ChunkSection;
 import net.minecraft.core.world.generate.chunk.ChunkGenerator;
 import net.minecraft.core.world.generate.chunk.ChunkGeneratorResult;
 
diff --git a/src/main/java/net/minecraft/core/world/generate/chunk/empty/ChunkDecoratorEmpty.java b/src/main/java/net/minecraft/core/world/generate/chunk/empty/ChunkDecoratorEmpty.java
index c2ad0fecc..3be9f40cd 100644
--- a/src/main/java/net/minecraft/core/world/generate/chunk/empty/ChunkDecoratorEmpty.java
+++ b/src/main/java/net/minecraft/core/world/generate/chunk/empty/ChunkDecoratorEmpty.java
@@ -1,6 +1,5 @@
 package net.minecraft.core.world.generate.chunk.empty;
 
-import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.generate.chunk.ChunkDecorator;
diff --git a/src/main/java/net/minecraft/core/world/generate/chunk/empty/ChunkGeneratorEmpty.java b/src/main/java/net/minecraft/core/world/generate/chunk/empty/ChunkGeneratorEmpty.java
index 9559f17fc..9013709dd 100644
--- a/src/main/java/net/minecraft/core/world/generate/chunk/empty/ChunkGeneratorEmpty.java
+++ b/src/main/java/net/minecraft/core/world/generate/chunk/empty/ChunkGeneratorEmpty.java
@@ -1,9 +1,7 @@
 package net.minecraft.core.world.generate.chunk.empty;
 
-import net.minecraft.core.Global;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.chunk.Chunk;
-import net.minecraft.core.world.chunk.ChunkSection;
 import net.minecraft.core.world.generate.chunk.ChunkGenerator;
 import net.minecraft.core.world.generate.chunk.ChunkGeneratorResult;
 
diff --git a/src/main/java/net/minecraft/core/world/generate/chunk/flat/ChunkGeneratorFlat.java b/src/main/java/net/minecraft/core/world/generate/chunk/flat/ChunkGeneratorFlat.java
index 1392b3e99..e034e4c65 100644
--- a/src/main/java/net/minecraft/core/world/generate/chunk/flat/ChunkGeneratorFlat.java
+++ b/src/main/java/net/minecraft/core/world/generate/chunk/flat/ChunkGeneratorFlat.java
@@ -1,6 +1,5 @@
 package net.minecraft.core.world.generate.chunk.flat;
 
-import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.chunk.Chunk;
diff --git a/src/main/java/net/minecraft/core/world/generate/chunk/indev/LevelGenerator.java b/src/main/java/net/minecraft/core/world/generate/chunk/indev/LevelGenerator.java
index dc9e4ee60..4bc7eb155 100644
--- a/src/main/java/net/minecraft/core/world/generate/chunk/indev/LevelGenerator.java
+++ b/src/main/java/net/minecraft/core/world/generate/chunk/indev/LevelGenerator.java
@@ -1,6 +1,5 @@
 package net.minecraft.core.world.generate.chunk.indev;
 
-import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.chunk.Chunk;
diff --git a/src/main/java/net/minecraft/core/world/generate/chunk/perlin/DensityGenerator.java b/src/main/java/net/minecraft/core/world/generate/chunk/perlin/DensityGenerator.java
index ce9634d56..cfc0d2736 100644
--- a/src/main/java/net/minecraft/core/world/generate/chunk/perlin/DensityGenerator.java
+++ b/src/main/java/net/minecraft/core/world/generate/chunk/perlin/DensityGenerator.java
@@ -1,6 +1,5 @@
 package net.minecraft.core.world.generate.chunk.perlin;
 
-import net.minecraft.core.Global;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.chunk.Chunk;
 
diff --git a/src/main/java/net/minecraft/core/world/generate/chunk/perlin/TerrainGeneratorLerp.java b/src/main/java/net/minecraft/core/world/generate/chunk/perlin/TerrainGeneratorLerp.java
index 6051cb36e..891e26a5a 100644
--- a/src/main/java/net/minecraft/core/world/generate/chunk/perlin/TerrainGeneratorLerp.java
+++ b/src/main/java/net/minecraft/core/world/generate/chunk/perlin/TerrainGeneratorLerp.java
@@ -2,7 +2,6 @@ package net.minecraft.core.world.generate.chunk.perlin;
 
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.chunk.Chunk;
-import net.minecraft.core.world.chunk.ChunkSection;
 import net.minecraft.core.world.generate.chunk.ChunkGeneratorResult;
 
 import java.util.Random;
